%define         anolis_release 1

Name:           xsimd
Version:        10.0.0
Release:        %{anolis_release}%{?dist}
Summary:        C++ wrappers for SIMD intrinsics

License:        BSD
URL:            https://github.com/xtensor-stack/xsimd
Source0:        https://github.com/xtensor-stack/xsimd/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel

%ifarch %{arm}
# Only used for testing, as it's a header-only package.
%global optflags %(echo %{optflags} -mfpu=neon)
%endif

%global debug_package %{nil}

%undefine __cmake_in_source_build

%description
SIMD (Single Instruction, Multiple Data) is a feature of microprocessors 
that has been available for many years. SIMD instructions perform a single 
operation on a batch of values at once, and thus provide a way to significantly 
accelerate code execution. However, these instructions differ between 
microprocessor vendors and compilers.

xsimd provides a unified means for using these features for library authors. 
Namely, it enables manipulation of batches of numbers with the same arithmetic 
operators as for single values. 
It also provides accelerated implementation of common mathematical 
functions operating on batches.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc README.md

%changelog
* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 10.0.0-1
- package init from upstream
